package com.quansu.heifengwuliu.vmodel

import androidx.lifecycle.MutableLiveData
import com.quansu.heifengwuliu.model.User
import com.quansu.heifengwuliu.repository.UserInfoRepository
import com.ysnows.base.base.BViewModel

class SettingsVModel : BViewModel<UserInfoRepository>() {
    val user: MutableLiveData<User?> = MutableLiveData(User.get())


    override fun firstReq() {
        super.firstReq()
        repository().getUserInfo()
                .doOnNext() {
                    user.value = it
                }
                .subscribe()

    }

    fun buyVip() {
    }

}
